<?php
function dirToArray($dir) { 
   
   $result = array(); 

   $cdir = scandir($dir); 
   foreach ($cdir as $key => $value) { 
      if (!in_array($value,array(".",".."))) { 
         if (is_dir($dir . DIRECTORY_SEPARATOR . $value)) { 
            $result[$value] = dirToArray($dir . DIRECTORY_SEPARATOR . $value); 
         } 
         else { 
            if($value == "info.txt")
                $result = $value; 
         } 
      } 
   } 
   
   return $result; 
} 
function settingsPage(){
    $previewUrlData = array(
            'server_id' => '5', // default serverId
            'hash' => '9e192', // default hash for serverId
        ); 
$defaultHeaders = array(
        'name' => 'Widget Name',
        'version' => 'Version',
        'type' => 'Type',
        'shortcode' => 'Shortcode',
        'previewImgUrl' => 'PreviewImgUrl', 
        'previewUrl' => 'PreviewUrl' 
    );

    wp_enqueue_style( 'rhwidgets', plugins_url('style.css', __FILE__ ) );
    wp_enqueue_style( 'bootstrap', plugins_url('vendor/bootstrap/css/bootstrap.min.css', __FILE__ ) );
    wp_enqueue_style( 'font-awesome', plugins_url('vendor/font-awesome/css/font-awesome.min.css', __FILE__ ) );
    wp_enqueue_style( 'toastr', plugins_url('vendor/toastr/build/toastr.min.css', __FILE__ ) );
    // wp_enqueue_style( 'codemirror', plugins_url('vendor/codemirror/lib/codemirror.css', __FILE__ )  );

    wp_enqueue_script( 'tether', plugins_url('vendor/tether/dist/js/tether.min.js', __FILE__ ) );
    wp_enqueue_script( 'bootstrap', plugins_url('vendor/bootstrap/js/bootstrap.min.js', __FILE__ ) );
    wp_enqueue_script( 'tinyColor', plugins_url('vendor/tinyColor/jqColorPicker.min.js', __FILE__ ) );
    wp_enqueue_script( 'toastr', plugins_url('vendor/toastr/build/toastr.min.js', __FILE__ ) );
    $info = dirToArray('../wp-content/plugins/scscript-plugin-wp/widgets/');

    $plugins = array();
    foreach ($info as $key => $value) {
        $plugins[] = (get_file_data('../wp-content/plugins/scscript-plugin-wp/widgets/'.$key.'/'.$value, $defaultHeaders));
    }
    
    echo '<div class="container" style="margin-top:30px; margin-left: 0;">
        <h1>Widgety Radiohost v0.51 beta</h1>

        <p class="lead">Wtyczki <a href="http://widget.radiohost.pl/">widget.radiohost.pl</a> dla wordpresa <br>Pamiętaj by podmienić <code>server_id</code> oraz <code>hash</code></p>
        <hr>

        <h3>Własny widget [folderWidget]</h3>
        <p class="lead"></p>
            W lokalizacji tworzysz folder "folderWidget/folderWidget.php" i następnie dodajesz tam kod z zaawansowanych skryptów z widget.radiohost.pl 

            folder powinien zawierać pliki: <br>
            folderWidget/folderWidget.php<br>
            folderWidget/style.css<br>

        </p>
        <hr>

    </div>';

    echo '<table class="wp-list-table widefat fixed striped pages">
    <thead>
        <tr>
            <th id="preview" style="width: 200px;">Podgląd</th>
            <th id="title" class="manage-column column-title column-primary sortable desc" style="width: 250px;" scope="col">Widget</th>
            <th id="code" class="manage-column column-title" scope="col">Shortcode</th>
            <th id="author" class="manage-column column-author" scope="col">Typ</th>
            <th id="comments" class="manage-column column-comments" scope="col"><span>Wersja</span></th>
        </tr>
    </thead><tbody id="the-list">
    <tfoot>
        <tr>
            <th>Podgląd</th>
            <th class="manage-column column-title column-primary sortable desc" scope="col"><a href="http://localhost/wordpress-scscript/wp-admin/edit.php?post_type=page&amp;orderby=title&amp;order=asc">Widget</a></th>
            <th class="manage-column column-title" scope="col">Shortcode</th>
            <th class="manage-column column-author" scope="col">Typ</th>
            <th class="manage-column class="manage-column column-comments" scope="col"><span>Wersja</span></th>
        </tr>
    </tfoot>';
    foreach ($plugins as $key => $plugin) {
        if (!isset($plugin['previewImgUrl']) OR empty($plugin['previewImgUrl']))
            $plugin['previewImgUrl'] = 'http://www.aviatorcameragear.com/wp-content/uploads/2012/07/placeholder.jpg';
        else
            $plugin['previewImgUrl'] = str_replace('[server_id]', $previewUrlData['server_id'], $plugin['previewImgUrl']);
        if (!empty($plugin['previewUrl'])){
            $previewUrl = explode('|', $plugin['previewUrl']);
            $previewUrl[0] = str_replace('[server_id]', $previewUrlData['server_id'], $previewUrl[0]);
            $previewUrl[0] = str_replace('[hash]', $previewUrlData['hash'], $previewUrl[0]);
            $previewSize = explode('x', $previewUrl[1]);
        }
        if (isset($plugin['shortcode'])){
            $plugin['shortcode'] = str_replace('[server_id]', $previewUrlData['server_id'], $plugin['shortcode']);
            $plugin['shortcode'] = str_replace('[hash]', $previewUrlData['hash'], $plugin['shortcode']);
        }
        echo '
        <tr id="post-18" class="iedit author-self level-0 post-18 type-page status-publish hentry">
            <td><img src="'.$plugin['previewImgUrl'].'" style="width: auto; max-width:100%; max-height:100% margin: 0 auto;"></td>
            <td class="title column-title has-row-actions column-primary page-title" data-colname="Widget">
                <div class="locked-info">&nbsp;</div>
                <strong><a class="row-title" href="http://localhost/wordpress-scscript/wp-admin/post.php?post=18&amp;action=edit" aria-label="&bdquo;agenda&rdquo; (Edycja)">'.$plugin['name'].'</a></strong>
                <div class="row-actions">
                <span class="edit">
                <button style="border: none; color: #0275d8; background: none; outline: none; cursor: pointer;" onclick="window.open(\''.$previewUrl[0].'',"','1422614595195','",'width='.$previewSize[0].',height='.$previewSize[1].',toolbar=0,menubar=0,location=0,status=1,scrollbars=0,resizable=0,left=0,top=0\'); return false;" aria-label="Podgląd">Podgląd</button>
                </td>
            <td>'.$plugin['shortcode'].'</td>
            <td class="author column-author" data-colname="type"><span>'.$plugin['type'].'</span></td>
            <td class="comments column-comments" data-colname="Komentarze">
                <div class="post-com-count-wrapper"><span aria-hidden="true">'.$plugin['version'].'</span>
                </div>
            </td>
        </tr>';
    }
    echo '</tbody></table>';
?>

<?php }?>